-- COMBAT_LOG_EVENT_UNFILTERED
---@param e string
function(e, ...)
	local detected = false
	local stinky = ""

	local source, err = CLEUParser.GetSourceName(...)
	if not err then
		if aura_env.stinkies[source] then
			stinky = source
			detected = true
		end
	end
	if not detected then
		local destination, err = CLEUParser.GetDestName(...)
		if not err then
			if aura_env.stinkies[destination] then
				stinky = destination
				detected = true
			end
		end
	end

	if detected then
		aura_env.StinkyDetected(stinky)
	end

	return true
end